#ifndef WORLD_H
#define WORLD_H

#include "common/Block.h"
#include "common/entities/Entity.h"

namespace World {
    bool init();
    void render();

    void addEntity(Entity* e);
    void removeEntity(Entity* e);

    void tick();

    int getHeight();
    void setBlock(int x, int y, int z, Block::Id block);
}

#endif