#ifndef CONTROLLER_H
#define CONTROLLER_H

#include "math/Vector.h"
#include "rendering/Window.h"

namespace Controller {
    extern Window::Controls::ButtonId left;
    extern Window::Controls::ButtonId right;
    extern Window::Controls::ButtonId up;
    extern Window::Controls::ButtonId down;
    extern Window::Controls::ButtonId jump;
    extern Window::Controls::ButtonId sneak;
    extern Window::Controls::ButtonId camLeft;
    extern Window::Controls::ButtonId camRight;
    extern Window::Controls::ButtonId camUp;
    extern Window::Controls::ButtonId camDown;
    extern Window::Controls::ButtonId leftClick;
    extern Window::Controls::ButtonId rightClick;

    void init();

    bool wasReleased(Window::Controls::ButtonId id);
    bool isDown(Window::Controls::ButtonId id);
}

#endif