#ifndef ENGINE_H
#define ENGINE_H

#include "client/rendering/Renderer.h"
#include "client/rendering/ShaderMatrix.h"
#include "utils/Size.h"
#include "utils/Utils.h"

namespace Engine {
    extern Renderer renderer;
    extern ShaderMatrix matrix;
    extern float lag;

    bool init();
    void run();
    void stop();
}

#endif