#ifndef BLOCK_H
#define BLOCK_H

#include "common/Box.h"
#include "utils/List.h"
#include "utils/Types.h"

namespace Block {
    static constexpr int MAX = 256;
    typedef uint16 Id;

    void init();
    void addBoxes(Id block, List<Box>& list, const Vector3& pos);
}

#endif