#version 430

layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;

uniform mat4 proj;
uniform mat4 view;
uniform mat4 model;

out float varLight;

void main(void) { 
    varLight = 1.0f;
    varLight -= abs(normal.x) * 0.15;
    varLight -= abs(normal.z) * 0.30;
    gl_Position = proj * view * model * vec4(position, 1.0);
}